Skip to main content
GET
/
mcp
/
{organisationId}
/
sessions
List MCP sessions for the organisation
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/mcp/{organisationId}/sessions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "mcpSessionId": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "apiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "startedAt": "2023-11-07T05:31:56Z",
      "lastCallAt": "2023-11-07T05:31:56Z",
      "callCount": 123
    }
  ],
  "meta": {
    "cursors": {
      "current": "<string>",
      "next": "<string>",
      "previous": "<string>"
    }
  }
}

Path Parameters

organisationId
string<uuid>
required

Query Parameters

Cursor
string
Limit
default:20

Response

OK

data
object[]
meta
object